! agbeat.cmd
!
echo Give aggregate beat rates for a 12-tone temperament
echo
$1 := %-3+3 min 2+%4
echo A-E  :%hertz($1) Hertz,%bpm($1) beats/min.
$2 := %-3+6 min 5
echo A-C  :%hertz($2) Hertz,%bpm($2) beats/min.
$0 := 5 min 4+%4
echo C-E  :%hertz($0) Hertz,%bpm($0) beats/min.
$0 := $0 plus $1 plus $2
echo sum  :%hertz($0) Hertz,%bpm($0) beats/min.
echo
$1 := %-3+3 min 2+%4
echo A-E  :%hertz($1) Hertz,%bpm($1) beats/min.
$2 := %-3+5 min 4+%1
echo A-C# :%hertz($2) Hertz,%bpm($2) beats/min.
$0 := %1+6 min 5+%4
echo C#-E :%hertz($0) Hertz,%bpm($0) beats/min.
$0 := $0 plus $1 plus $2
echo sum  :%hertz($0) Hertz,%bpm($0) beats/min.
